﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;
using System.Xml.Serialization;
using System.Xml;

namespace SalesforceIntegration
{
    [MessageContractAttribute(WrapperName = "AuthenticateResult", WrapperNamespace = "urn:authentication.soap.sforce.com", IsWrapped = true)]
    public class AuthenticateSoapOut
    {

        [MessageBodyMemberAttribute(Namespace = "urn:authentication.soap.sforce.com", Order = 0)]
        public bool Authenticated;

        public AuthenticateSoapOut()
        {
        }

        public AuthenticateSoapOut(bool Authenticated)
        {
            this.Authenticated = Authenticated;
        }
    }

    [MessageContractAttribute(WrapperName = "Authenticate", WrapperNamespace = "urn:authentication.soap.sforce.com", IsWrapped = true)]
    public class AuthenticateSoapIn
    {

        [MessageBodyMemberAttribute(Namespace = "urn:authentication.soap.sforce.com", Order = 0)]
        public string username;

        [MessageBodyMemberAttribute(Namespace = "urn:authentication.soap.sforce.com", Order = 1)]
        public string password;

        [MessageBodyMemberAttribute(Namespace = "urn:authentication.soap.sforce.com", Order = 2)]
        public string sourceIp;

        [MessageBodyMemberAttribute(Namespace = "", Order = 3)]
        [XmlAnyElementAttribute()]
        public System.Xml.XmlElement[] Any;

        public AuthenticateSoapIn()
        {
        }

        public AuthenticateSoapIn(string username, string password, string sourceIp, XmlElement[] Any)
        {
            this.username = username;
            this.password = password;
            this.sourceIp = sourceIp;
            this.Any = Any;
        }
    }
}
